
package com.tmerclub.cloud.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品评论统计VO
 *
 * @author YXF
 * @date 2021-01-11 13:47:33
 */
public class SpuCommStatisticsVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "好评率")
    private Double positiveRating;

    @Schema(description = "评论数量")
    private Integer number;

    @Schema(description = "好评数")
    private Integer praiseNumber;

    @Schema(description = "中评数")
    private Integer secondaryNumber;

    @Schema(description = "差评数")
    private Integer negativeNumber;

    @Schema(description = "有图数")
    private Integer picNumber;

    public Double getPositiveRating() {
        return positiveRating;
    }

    public void setPositiveRating(Double positiveRating) {
        this.positiveRating = positiveRating;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Integer getPraiseNumber() {
        return praiseNumber;
    }

    public void setPraiseNumber(Integer praiseNumber) {
        this.praiseNumber = praiseNumber;
    }

    public Integer getSecondaryNumber() {
        return secondaryNumber;
    }

    public void setSecondaryNumber(Integer secondaryNumber) {
        this.secondaryNumber = secondaryNumber;
    }

    public Integer getNegativeNumber() {
        return negativeNumber;
    }

    public void setNegativeNumber(Integer negativeNumber) {
        this.negativeNumber = negativeNumber;
    }

    public Integer getPicNumber() {
        return picNumber;
    }

    public void setPicNumber(Integer picNumber) {
        this.picNumber = picNumber;
    }

    @Override
    public String toString() {
        return "ProdCommEvaluateVO{" +
                "positiveRating=" + positiveRating +
                ", number=" + number +
                ", praiseNumber=" + praiseNumber +
                ", secondaryNumber=" + secondaryNumber +
                ", negativeNumber=" + negativeNumber +
                ", picNumber=" + picNumber +
                '}';
    }
}
